//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("kbtimsetup.res");
USEFORM("FrmSetup.cpp", SetupForm);
USEUNIT("..\kbtim\kbini.cpp");
USEUNIT("..\kbtim\kbstr.cpp");
USEUNIT("..\kbtim\kbtim_SettingTimidity.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
        HANDLE hMutex = CreateMutex(NULL, TRUE, "kbtimsetup_mutex");
        if(GetLastError()){
            HWND hWnd = FindWindow("TSetupForm", NULL);
            if(hWnd){
                DWORD dwResult = 0;
                if(SendMessageTimeout(hWnd,
                                      WM_NULL,
                                       0,
                                       0,
                                       SMTO_BLOCK|SMTO_ABORTIFHUNG,
                                       5000,
                                       &dwResult)){
                    SetForegroundWindow(hWnd);
                    WPARAM wParam;
                    LPARAM lParam;
                    COPYDATASTRUCT cds;
                    char szCommand[1024];
                    lstrcpyn(szCommand, ParamStr(1).c_str(), sizeof(szCommand));
                    cds.dwData = 1;
                    cds.cbData = lstrlen(szCommand)+1;
                    cds.lpData = (LPVOID)szCommand;
                    wParam = (WPARAM)hWnd;
                    lParam = (LPARAM)&cds;
                    SendMessage(hWnd, WM_COPYDATA, wParam, lParam);
                }
            }
            CloseHandle(hMutex);
            return 0;
        }
        Application->Initialize();
        Application->Title = "kbtim ݒ";
        Application->CreateForm(__classid(TSetupForm), &SetupForm);
         Application->Run();
        ReleaseMutex(hMutex);
        CloseHandle(hMutex);
    }
    catch (Exception &exception)
    {
         Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------
